diff -ru trackballs-1.1.2-orig/configure trackballs-1.1.2/configure
--- trackballs-1.1.2-orig/configure	2006-08-06 13:41:53.000000000 -0400
+++ trackballs-1.1.2/configure	2006-10-04 00:02:23.000000000 -0400
@@ -4621,8 +4621,8 @@
 
 
 LIBS="${GUILE_LDFLAGS} ${LIBS}"
-CFLAGS="${GUILE_CFLAGS} ${CFLAGS} -I./ -I../"
-CXXFLAGS="${CXXFLAGS} ${GUILE_CFLAGS} -I./ -I../"
+CFLAGS="${GUILE_CFLAGS} ${CFLAGS}"
+CXXFLAGS="${CXXFLAGS} ${GUILE_CFLAGS}"
 
 
 
diff -ru trackballs-1.1.2-orig/share/Makefile.in trackballs-1.1.2/share/Makefile.in
--- trackballs-1.1.2-orig/share/Makefile.in	2006-08-06 13:47:44.000000000 -0400
+++ trackballs-1.1.2/share/Makefile.in	2006-10-03 23:11:11.000000000 -0400
@@ -369,8 +369,8 @@
 
 
 install-pkgdataDATA:
-	-install -D -m664 -g games highScores		$(DESTDIR)@with_highscores@
-	-chgrp -R games			$(DESTDIR)$(pkgdatadir)/levels
+	mkdir -p $(DESTDIR)${pkgdatadir}
+	install -m664 highScores		$(DESTDIR)@with_highscores@
 	chmod -R g+r			$(DESTDIR)$(pkgdatadir)/levels
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
diff -ru trackballs-1.1.2-orig/share/icons/Makefile.in trackballs-1.1.2/share/icons/Makefile.in
--- trackballs-1.1.2-orig/share/icons/Makefile.in	2006-08-06 13:47:46.000000000 -0400
+++ trackballs-1.1.2/share/icons/Makefile.in	2006-10-03 23:18:19.000000000 -0400
@@ -218,7 +218,7 @@
 
 
 install-pkgdataDATA:
-	./installIcons $(bindir) ${DESTDIR}
+	./installIcons $(prefix) ${DESTDIR}
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
diff -ru trackballs-1.1.2-orig/share/icons/installIcons trackballs-1.1.2/share/icons/installIcons
--- trackballs-1.1.2-orig/share/icons/installIcons	2004-01-31 15:58:30.000000000 -0500
+++ trackballs-1.1.2/share/icons/installIcons	2006-10-04 00:28:42.000000000 -0400
@@ -1,44 +1,24 @@
-#!/bin/bash
-binprefix=$1
+#!/bin/bash -ex
+prefix=$1
 destdir=$2
 
 # Create the desktop file
-cp trackballs.desktop.in trackballs.desktop
-echo "Exec=$binprefix/trackballs" >> trackballs.desktop
+perl -pi -e "s,Exec=.*,Exec=$prefix/bin/trackballs," trackballs.desktop
 
 # Attempt to install the desktop file
-if [ -d /usr/share/applications ]; then
-    
-    # Install the desktop file in appropriate place
-    install trackballs.desktop /usr/share/applications
-elif [ -d $destdir/usr/share/applications ]; then
+mkdir -p $destdir/$prefix/share/applications
 
     # Install the desktop file in appropriate place
-    install trackballs.desktop $destdir/usr/share/applications
-else
-
-    # Attempt to install the desktop file in the old way
-    for path in /usr/share /usr/local/share /opt/share /opt/kde/share /opt/kde3/share /opt/kde3.1/share ; do
-	if [ -d $path/applnk/Games/Arcade ]; then
-	    install trackballs.desktop $path/applnk/Games/Arcade
-	fi
-	if [ -d $destdir/$path/applnk/Games/Arcade ]; then
-	    install trackballs.desktop $path/applnk/Games/Arcade
-	fi
-    done
-fi
+    install trackballs.desktop $destdir/$prefix/share/applications
     
 # Now install the icons everywhere they might be needed
-for path in /usr/share /usr/local/share /opt/share /opt/kde/share /opt/kde3/share /opt/kde3.1/share $destdir/usr/share $destdir/usr/local/share; do
-    if [ -d $path/icons/default.kde/32x32/apps ]; then
+for path in $destdir/$prefix/share; do
+    mkdir -p $path/icons/default.kde/32x32/apps
 	install trackballs-32x32.png $path/icons/default.kde/32x32/apps/trackballs.png
-    fi
     
-    if [ -d $path/icons/default.kde/48x48/apps ]; then
+    mkdir -p $path/icons/default.kde/48x48/apps
 	install trackballs-48x48.png $path/icons/default.kde/48x48/apps/trackballs.png
-    fi
     
-    if [ -d $path/icons/default.kde/64x64/apps ]; then
+    mkdir -p $path/icons/default.kde/64x64/apps
 	install trackballs-64x64.png $path/icons/default.kde/64x64/apps/trackballs.png
-    fi
 done
diff -ru trackballs-1.1.2-orig/src/Makefile.in trackballs-1.1.2/src/Makefile.in
--- trackballs-1.1.2-orig/src/Makefile.in	2006-08-06 13:47:43.000000000 -0400
+++ trackballs-1.1.2/src/Makefile.in	2006-10-04 00:11:04.000000000 -0400
@@ -129,6 +129,7 @@
 CONFIG_CLEAN_FILES = 
 PROGRAMS =  $(bin_PROGRAMS)
 
+AM_CPPFLAGS = -I. -I..
 CPPFLAGS = @CPPFLAGS@
 LDFLAGS = @LDFLAGS@
 LIBS = @LIBS@
@@ -217,7 +218,7 @@
 
 trackballs: $(trackballs_OBJECTS) $(trackballs_DEPENDENCIES)
 	@rm -f trackballs
-	$(CXXLINK) $(trackballs_LDFLAGS) $(trackballs_OBJECTS) $(trackballs_LDADD) $(LIBS)
+	$(CXXLINK) $(trackballs_LDFLAGS) $(trackballs_OBJECTS) $(trackballs_LDADD) $(LIBS) $(LTLIBINTL)
 .cc.o:
 	$(CXXCOMPILE) -c $<
 
